/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor;

import org.apache.log4j.Logger;
import org.eclipse.jface.action.MenuManager;
import org.eclipse.jface.action.Separator;

import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
import eu.etaxonomy.taxeditor.actions.name.CreateAutonymAction;
import eu.etaxonomy.taxeditor.actions.name.CreateConceptRelationAction;
import eu.etaxonomy.taxeditor.actions.name.CreateHeterotypicSynonymAction;
import eu.etaxonomy.taxeditor.actions.name.CreateMisappliedNameAction;
import eu.etaxonomy.taxeditor.actions.name.CreateSynonymInGroupAction;
import eu.etaxonomy.taxeditor.actions.name.CreateTaxonomicallyIncludedTaxonAction;
import eu.etaxonomy.taxeditor.actions.ui.ChangeTaxonToSynonymAction;
import eu.etaxonomy.taxeditor.actions.ui.MoveTaxonDialogAction;
import eu.etaxonomy.taxeditor.model.CdmSessionDataRepository;

/**
 * @author n.hoffmann
 * @created 03.02.2009
 * @version 1.0
 */
public class MenuConstants {
	private static final Logger logger = Logger.getLogger(MenuConstants.class);
	
	public static final MenuManager EDITOR_TAXON_MENU(){
		MenuManager taxonEditorMenu = new MenuManager("Taxon");
		
		taxonEditorMenu.add(new CreateHeterotypicSynonymAction());
		taxonEditorMenu.add(new CreateSynonymInGroupAction());
		taxonEditorMenu.add(new Separator());			
		taxonEditorMenu.add(new CreateMisappliedNameAction());
		
//		MenuManager subMenu = new MenuManager("Create concept relation");
//		for (TaxonRelationshipType type : 
//				CdmSessionDataRepository.getDefault().getConceptRelationshipTypes()) {
//			subMenu.add(new CreateConceptRelationAction(type));
//		}
//		taxonEditorMenu.add(subMenu);
		taxonEditorMenu.add(new Separator());
		taxonEditorMenu.add(new MoveTaxonDialogAction());
		taxonEditorMenu.add(new ChangeTaxonToSynonymAction());
		taxonEditorMenu.add(new Separator());
		// TODO is it correct that onlx taxa with rank species may have autonyms?
	//	if(taxon.getName().getRank().equals(Rank.SPECIES())){
			taxonEditorMenu.add(new CreateAutonymAction());
	//	}
		taxonEditorMenu.add(new CreateTaxonomicallyIncludedTaxonAction());
		
		return taxonEditorMenu;
	}
	
}
