/**
 * Copyright (C) 2007 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the recentNamesComposite of this package for the full license terms.
 */

package eu.etaxonomy.taxeditor.navigation;

import org.apache.log4j.Logger;
import org.eclipse.core.databinding.observable.list.WritableList;
import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.action.IToolBarManager;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.part.ViewPart;

import eu.etaxonomy.cdm.model.taxon.Taxon;

/**
 * The left navigation pane.
 * 
 * @author p.ciardelli
 * @created 27.05.2008
 * @version 1.0
 */
public class RecentNamesView extends ViewPart {
	private static final Logger logger = Logger.getLogger(RecentNamesView.class);
	
	private Composite recentNamesComposite = null;
	public static final String ID = "eu.etaxonomy.taxeditor.navigation.recentnamesview"; //$NON-NLS-1$
	
	/**
	 * Create contents of the view part
	 * @param parent
	 */
	@Override
	public void createPartControl(Composite parent) {
		
		parent.setLayout(new FillLayout());
		GridLayout gridLayout = new GridLayout();
		gridLayout.horizontalSpacing = 0;
		gridLayout.marginWidth = 0;
		gridLayout.marginHeight = 0;
		gridLayout.verticalSpacing = 0;	
				
		recentNamesComposite = new Composite(parent, SWT.NONE);
		recentNamesComposite.setBackground(Display.getCurrent().getSystemColor(SWT.COLOR_WHITE));
		recentNamesComposite.setLayout(new FillLayout());

		new RecentNamesTableViewer(recentNamesComposite);

		createActions();
		initializeToolBar();
		initializeMenu();
	}
	
	private void createActions() {
		// Create the actions
	}

	/**
	 * Initialize the toolbar
	 */
	private void initializeToolBar() {
		IToolBarManager toolbarManager = getViewSite().getActionBars()
				.getToolBarManager();
	}

	/**
	 * Initialize the menu
	 */
	private void initializeMenu() {
		IMenuManager menuManager = getViewSite().getActionBars()
				.getMenuManager();
	}

	@Override
	public void setFocus() {
		// Set the focus
	}
	
	private static WritableList observableRecentNamesList = null;
	
	public static void addRecentName(Taxon taxon) {
		if (!getObservableRecentNames().contains(taxon)) {
			getObservableRecentNames().add(taxon);
		}
	}
	
	public static void removeRecentName(Taxon taxon) {
		getObservableRecentNames().remove(taxon);
	}
	
	public static WritableList getObservableRecentNames() {
		if (observableRecentNamesList == null) {
			observableRecentNamesList = new WritableList();
		}
		return observableRecentNamesList;		
	}

	public static void clearRecentNames() {
		observableRecentNamesList = null;
	}
}
