/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.type.wizard;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
import eu.etaxonomy.cdm.model.name.TaxonNameBase;

/**
 * @author p.ciardelli
 * @created 13.02.2009
 * @version 1.0
 */
public class TypeDesignationWizard extends Wizard {
	private static Logger logger = Logger
			.getLogger(TypeDesignationWizard.class);
	
	private SpecimenTypeDesignation typeDesignation;
	private TaxonNameBase name;

	/**
	 * @param typeDesignation
	 */
	public TypeDesignationWizard(SpecimenTypeDesignation typeDesignation, TaxonNameBase name) {
		this.typeDesignation = typeDesignation;
		this.name = name;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	public void addPages() {
		IWizardPage chooseNamePage = new ChooseTypeDesignationWizardPage(typeDesignation, name);
    	addPage(chooseNamePage);
    }
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		// TODO Auto-generated method stub
		return false;
	}
}
