/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.type.wizard;

import org.apache.log4j.Logger;
import org.eclipse.jface.wizard.IWizardPage;
import org.eclipse.jface.wizard.Wizard;

import eu.etaxonomy.cdm.model.name.TaxonNameBase;

/**
 * @author p.ciardelli
 * @created 11.02.2009
 * @version 1.0
 */
public class TypeListWizard extends Wizard {
	private static Logger logger = Logger.getLogger(TypeListWizard.class);

	private TaxonNameBase name;
	
	/**
	 * @param name
	 */
	public TypeListWizard(TaxonNameBase name) {
		super();
		this.name = name;
	}

	public void addPages(){
		IWizardPage chooseTypePage = new ListTypeWizardPage(name);
    	addPage(chooseTypePage);
	}
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#performFinish()
	 */
	@Override
	public boolean performFinish() {
		return true;
	}
}
